
function tes_hip1
% Funcao Tes_hip1 para tratamento de duvidas em Testes de Hipteses para uma variavel
% parte do Sistema SESHET-S
%
% Por Ronei Marcos de Moraes
% em 11 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas: 	Tipo de Variavel      	(qualitativa, quantitativa, qt. discreta
%												qt. continua), 
%                       Tipo de Parametro       (media, proporcao , variancia), 
%                       Tamanho da Amostra      (pequena, grande, nao se aplica) 
%                       Variancia               (conhecida, desconhecida, nao se aplica)
%
%
% Variaveis de Saida: 	max_TH1Nao_aplica		(maior valor de pertinencia para o caso no  
%												qual um Teste de Hipoteses nao se aplica 
%						max_TH1MediaVarDes		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma media com Variancia 
%												Desconhecida)
%						max_TH1MediaVarCon		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma media com Variancia 
%												Conhecida)
% 						max_TH1Proporcao		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma Proporcao)
%						max_TH1Variancia	    (maior valor de pertinencia para o Teste de 
%												Hipoteses para uma Variancia)
%
% Topico eh Teste de Hipoteses
% Tipo de Variavel e Certeza sobre o Tipo

incremento = 0; 
Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', ...
   'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            incremento = certeza;
        else   
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
        
% Verifica tipo de Variavel

        if Menu_Variaveis == 2 	%Qual., s/ tipo
            variavel = 0;
        end
        if Menu_Variaveis == 3 	%Quant., s/ tipo
           variavel = 1.5;
        end
        if Menu_Variaveis == 4 	%Qual. Nom.
            variavel = 0;
        end
        if Menu_Variaveis == 5	%Qual. Ord.
            variavel = 0;
         end
        if Menu_Variaveis == 6	% Quant. Discr.
            variavel = 1;
        end
        if Menu_Variaveis == 7 	% Quant. Cont.
            variavel = 2;
         end         
         
% Verifica a certeza sobre o Variavel

        variavel = variavel + incremento;
    

% Tipo de Parametro e Certeza sobre o Parametro

        incremento = 0; 
        Menu_Parametro=menu('Qual  o seu parmetro?', 'No sei', 'Mdia', 'Proporo', 'Varincia');
        if Menu_Parametro ~= 1 
            incremento = certeza;
        else            
            parametro = 1.5;
            Menu_CertezaParametro = 5;
        end
                
% Verifica o Tipo de Parametro        
        
        if Menu_Parametro == 2 
            parametro = 1;
        end
        if Menu_Parametro == 3 
            parametro = 2;
        end
        if Menu_Parametro == 4
            parametro = 3;
        end
           
% Verifica a certeza sobre o Tipo de Parametro

            parametro = parametro + incremento;

        
% Tamanho da Amostra        

        incremento = 0; 
        Menu_TamAmostra=menu('Qual  o tamanho da amostra?', 'No sei', 'Pequena', 'Grande');
        if Menu_TamAmostra ~= 1 
            incremento = certeza;
        else            
            tamAmostra = 1.5;
            Menu_CertezaTamAmostra = 5;
        end

% Verifica o Tamanho da Amostra e Certeza sobre o Tamanho        
        
        if Menu_TamAmostra == 2 
            tamAmostra = 1;
        end
        if Menu_TamAmostra == 3 
            tamAmostra = 2;
        end
           
% Verifica a certeza sobre o Tamanho da Amostra

            tamAmostra = tamAmostra + incremento;
       
        
% Conhecimento sobre a Variancia e Certeza sobre o Conhecimento

        incremento = 0; 
        Menu_ConhVariancia=menu('Se o seu parmetro  a mdia, a varincia populacional ?', ...
            'No sei', 'Varincia Conhecida', 'Varincia Desconhecida', 'No se aplica, pois o parmetro no  a mdia ');
        if Menu_ConhVariancia ~= 1 
            incremento = certeza;
        else            
            conhVariancia = 1.5;
            Menu_CertezaEspacoExperimento = 5;
        end
        

% Verifica o Conhecimento sobre a Variancia        
        
        if Menu_ConhVariancia == 2 
            conhVariancia = 1;
        end
        if Menu_ConhVariancia == 3 
            conhVariancia = 2;
        end
        if Menu_ConhVariancia == 4
            conhVariancia = 0;
        end
           
% Verifica a certeza sobre o Conhecimento sobre a Variancia

            conhVariancia = conhVariancia + incremento;

            
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_th1 = readfis('tes_hip1');
        [a, b, c, d] = evalfis([variavel parametro tamAmostra conhVariancia],fis_th1,909);
        for i=1:90
            TH1Nao_aplica(i)=d(i);           
        end
        for i=93:272
            TH1MediaVarDes(i-92)=d(i);           
        end
        for i=276:453
            TH1MediaVarCon(i-275)=d(i);            
        end
        for i=455:634
            TH1Proporcao(i-454)=d(i);
        end
        for i=638:818
            TH1Variancia(i-637)=d(i);           
        end
       
        
% Resultado final da consulta

        max_TH1Nao_aplica= max(TH1Nao_aplica);
        max_TH1MediaVarDes=max(TH1MediaVarDes);
        max_TH1MediaVarCon=max(TH1MediaVarCon);
        max_TH1Proporcao=max(TH1Proporcao);
        max_TH1Variancia=max(TH1Variancia);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('No se aplica Teste de Hipoteses para este caso, nesta disciplina  ')
        max_TH1Nao_aplica
        sprintf('Teste de Hipoteses para uma Mdia com Varincia Desconhecida       ') 
        max_TH1MediaVarDes
        sprintf('Teste de Hipoteses para uma Mdia com Varincia Conhecida          ')
        max_TH1MediaVarCon
        sprintf('Teste de Hipoteses para uma Proporo                              ') 
        max_TH1Proporcao
        sprintf('Teste de Hipoteses para uma Varincia                              ') 
        max_TH1Variancia


% Envia para formatador de saida

        saidath1 (max_TH1Nao_aplica, max_TH1MediaVarDes, max_TH1MediaVarCon, max_TH1Proporcao, max_TH1Variancia);


