
function tes_hip2
% Funcao Tes_hip2 para tratamento de duvidas em Testes de Hipteses para uma e duas variaveis
% parte do Sistema SESHET-S
%
% Por Ronei Marcos de Moraes
% em 11 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas: 	Tipo de Variavel      	(qualitativa, quantitativa, qt. discreta
%												qt. continua), 
%                       Tipo de Parametro       (media, proporcao , variancia), 
%                       Tamanho da Amostra      (pequena, grande, nao se aplica),
%                       Variancia               (conhecida, desconhecida, nao se aplica),
%                       NumAmostras             (uma, duas independentes, duas dependentes), 
%                       Distribuicao            (nao informada, normal, nao sabe),
%                       Teste Variancias        (nao se aplica, iguais, desiguais)
%
%
% Variaveis de Saida: 	max_TH_Nao_aplica		(maior valor de pertinencia para o caso no  
%												qual um Teste de Hipoteses nao se aplica), 
%						max_TH_1MediaVarDes		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma media com Variancia 
%												Desconhecida),
%						max_TH_1MediaVarCon		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma media com Variancia 
%												Conhecida),
% 						max_TH_1Proporcao		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma Proporcao),
%						max_TH_1Variancia		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma Variancia),
%						max_TH_2MediaEmpar		(maior valor de pertinencia para o Teste de 
%												Hipoteses para duas medias emparelhadas),
%						max_TH_2MediaVarCon		(maior valor de pertinencia para o Teste de 
%												Hipoteses para duas medias com Variancias 
%												Conhecidas),
%						max_TH_2MediaVarDI		(maior valor de pertinencia para o Teste de 
%												Hipoteses para duas medias com Variancia 
%												Desconhecidas, mas supostas iguais),
%						max_TH_2MediaVarDD		(maior valor de pertinencia para o Teste de 
%												Hipoteses para duas medias com Variancia 
%												Desconhecidas, mas supostas desiguais),
%						max_TH_2Variancia		(maior valor de pertinencia para o Teste de 
%												Hipoteses para razao de Variancias),
% 						max_TH_2Proporcao		(maior valor de pertinencia para o Teste de 
%												Hipoteses para duas Proporcoes),
%
%
% Topico eh Teste de Hipoteses - Estatistica IV
% Verifica o Numero de Amostras e Certeza sobre o Numero

        incremento = 0; 
        Menu_NumAmostra=menu('Qual  o numero de amostras?', 'No sei', 'Uma', ...
            'So duas, mas no sei de que tipo', 'Duas e independentes', 'Duas e emparelhadas');
        if Menu_NumAmostra ~= 1 
            incremento = certeza;
        else            
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end

% Verifica o Numero de Amostras
        
        if Menu_NumAmostra == 2     %Uma 
            numAmostra = 1;
        end
        if Menu_NumAmostra == 3     %Duas, nao sabe
            numAmostra = 2.5;
        end
        if Menu_NumAmostra == 4     %Duas indep
            numAmostra = 2;
        end
        if Menu_NumAmostra == 5     %Duas empar
            numAmostra = 3;
        end
           
% Verifica a certeza sobre o Numero de Amostras

            numAmostra = numAmostra + incremento;


    % Tipo de Variavel e Certeza sobre o Tipo

incremento = 0; 
Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', ...
   'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            incremento = certeza;
        else   
            variaveis = 0.5;
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
        
% Verifica tipo de Variavel

        if Menu_Variaveis == 2 	%Qual., s/ tipo
            variavel = 0;
        end
        if Menu_Variaveis == 3 	%Quant., s/ tipo
           variavel = 1.5;
        end
        if Menu_Variaveis == 4 	%Qual. Nom.
            variavel = 0;
        end
        if Menu_Variaveis == 5	%Qual. Ord.
            variavel = 0;
         end
        if Menu_Variaveis == 6	% Quant. Discr.
            variavel = 1;
        end
        if Menu_Variaveis == 7 	% Quant. Cont.
            variavel = 2;
         end         
         
% Verifica a certeza sobre o Variavel

        variavel = variavel + incremento;
    

% Tipo de Parametro e Certeza sobre o Parametro

        incremento = 0; 
        Menu_Parametro=menu('Qual  o seu parmetro?', 'No sei', 'Mdia', 'Proporo', 'Varincia');
        if Menu_Parametro ~= 1 
            incremento = certeza;
        else            
            parametro = 1.5;
        end
                
% Verifica o Tipo de Parametro        
        
        if Menu_Parametro == 2 
            parametro = 1;
        end
        if Menu_Parametro == 3 
            parametro = 2;
        end
        if Menu_Parametro == 4
            parametro = 3;
        end
           
% Verifica a certeza sobre o Tipo de Parametro

            parametro = parametro + incremento;

        
% Verifica o Tamanho da Amostra e Certeza sobre o Tamanho        

        incremento = 0; 
        Menu_TamAmostra=menu('Qual  o tamanho da amostra?', 'No sei', 'Pequena', 'Grande');
        if Menu_TamAmostra ~= 1 
            incremento = certeza;
        else            
            tamAmostra = 1.5;
        end

% Verifica o Tamanho da Amostra        
        
        if Menu_TamAmostra == 2 
            tamAmostra = 1;
        end
        if Menu_TamAmostra == 3 
            tamAmostra = 2;
        end
           
% Verifica a certeza sobre o Tamanho da Amostra

            tamAmostra = tamAmostra + incremento;
       
        
% Conhecimento sobre a Variancia e Certeza sobre o Conhecimento

        incremento = 0; 
        Menu_ConhVariancia=menu('Se o seu parmetro  a mdia, a(s) varincia(s) populacional(is) (so)?', ...
            'No sei', 'Varincia Conhecida', 'Varincia Desconhecida', 'No se aplica, pois o parmetro no  a mdia ');
        if Menu_ConhVariancia ~= 1 
            incremento = certeza;
        else            
            conhVariancia = 1.5;
        end
        

% Verifica o Conhecimento sobre a Variancia 
        
        if Menu_ConhVariancia == 2 
            conhVariancia = 1;
        end
        if Menu_ConhVariancia == 3 
            conhVariancia = 2;
        end
        if Menu_ConhVariancia == 4
            conhVariancia = 0;
        end
           
% Verifica a certeza sobre o Conhecimento sobre a Variancia

            conhVariancia = conhVariancia + incremento;

            
% Verifica a Distribuicao de Probabilidades e a Certeza sobre a Distribuicao

        incremento = 0; 
        Menu_DistrProbab=menu('Qual  a distribuio de probabilidade?', 'No sei', ...
            'No se aplica', 'Normal');
        if Menu_DistrProbab ~= 1 
            incremento = certeza;
        else            
            distrProbab = 1.5;
        end

% Verifica o Tamanho da Amostra        
        
        if Menu_DistrProbab == 2 
            distrProbab = 1;
        end
        if Menu_DistrProbab == 3 
            distrProbab = 2;
        end   

% Verifica a certeza sobre o Tamanho da Amostra

            distrProbab = distrProbab + incremento;
       
        
% Verifica o Teste da razao das Variancias e a Certeza sobre o Teste da razao das Variancias
% caso o teste desejado seja para duas amostras

if numAmostra ~= 1;
        incremento = 0; 
        Menu_TestVariancia=menu('Se o seu parmetro  a mdia, o que o teste da razo das varincias populacional apontou?', ...
            'No sei', 'No se aplica, pois o parmetro no  a mdia', 'No se aplica, pois as amostras so emparelhadas ', ...
            'Varincias podem ser consideradas iguais', 'Varincias podem ser consideradas desiguais');
        if Menu_TestVariancia ~= 1 
            incremento = certeza;
        else            
            testVariancia = 1.5;
        end
    
% Verifica o Conhecimento sobre a Variancia 
        
        if Menu_TestVariancia == 2 
            testVariancia = 0;
        end
        if Menu_TestVariancia == 3 
            testVariancia = 0;
        end
        if Menu_TestVariancia == 4 
            testVariancia = 1;
        end
        if Menu_TestVariancia == 5
            testVariancia = 2;
        end
           
% Verifica a certeza sobre o Conhecimento sobre a Variancia

            testVariancia = testVariancia + incremento;
else
    testVariancia = 0;      %Se numero de amostras e' um, entao a razao de variancias nao faz sentido. Assume-se "nao se aplica".
end        


%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_th2 = readfis('tes_hip2');
        [a, b, c, d] = evalfis([variavel parametro tamAmostra conhVariancia numAmostra ...
                distrProbab testVariancia],fis_th2,909);
        for i=1:46
            TH_Nao_aplica(i)=d(i);           
        end
        for i=47:137
            TH_1MediaVarDes(i-46)=d(i);           
        end
        for i=138:227
            TH_1MediaVarCon(i-137)=d(i);            
        end
        for i=229:318
            TH_1Proporcao(i-228)=d(i);
        end
        for i=319:409
            TH_1Variancia(i-318)=d(i);           
        end
        for i=410:500
            TH_2MediaEmpar(i-409)=d(i);
        end
        for i=501:591
            TH_2MediaVarCon(i-500)=d(i);
        end
        for i=592:681
            TH_2MediaVarDI(i-591)=d(i);
        end
        for i=683:772
            TH_2MediaVarDD(i-682)=d(i);
        end
        for i=773:863
            TH_2Variancia(i-772)=d(i);
        end
        for i=864:909
            TH_2Proporcao(i-863)=d(i);
        end
        
        
% Resultado final da consulta

        max_TH_Nao_aplica= max(TH_Nao_aplica);
        max_TH_1MediaVarDes=max(TH_1MediaVarDes);
        max_TH_1MediaVarCon=max(TH_1MediaVarCon);
        max_TH_1Proporcao=max(TH_1Proporcao);
        max_TH_1Variancia=max(TH_1Variancia);
        max_TH_2MediaEmpar=max(TH_2MediaEmpar);
        max_TH_2MediaVarCon=max(TH_2MediaVarCon);
        max_TH_2MediaVarDI=max(TH_2MediaVarDI);
        max_TH_2MediaVarDD=max(TH_2MediaVarDD);
        max_TH_2Variancia=max(TH_2Variancia);
        max_TH_2Proporcao=max(TH_2Proporcao);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!                       ')
        sprintf('No se aplica Teste de Hipoteses para este caso, nesta disciplina                         ')
        max_TH_Nao_aplica
        sprintf('Teste de Hipoteses para uma Mdia com Varincia Desconhecida                              ') 
        max_TH_1MediaVarDes
        sprintf('Teste de Hipoteses para uma Mdia com Varincia Conhecida                                 ')
        max_TH_1MediaVarCon
        sprintf('Teste de Hipoteses para uma Proporo                                                     ') 
        max_TH_1Proporcao
        sprintf('Teste de Hipoteses para uma Varincia                                                     ') 
        max_TH_1Variancia
        sprintf('Teste de Hipoteses para duas Mdias com Emparelhamento                                    ')
        max_TH_2MediaEmpar
        sprintf('Teste de Hipoteses para duas Mdia com Varincias Conhecidas                              ')
        max_TH_2MediaVarCon 
        sprintf('Teste de Hipoteses para duas Mdias com Varincias Desconhecidas, mas Supostas Iguais     ')
        max_TH_2MediaVarDI
        sprintf('Teste de Hipoteses para duas Mdias com Varincias Desconhecidas, mas Supostas Desiguais  ')
        max_TH_2MediaVarDD
        sprintf('Teste de Hipoteses para razo de Varincias                                               ')
        max_TH_2Variancia
        sprintf('Teste de Hipoteses para duas Propores                                                   ')
        max_TH_2Proporcao

% Envia para formatador de saida

        saidath2(max_TH_Nao_aplica, max_TH_1MediaVarDes, max_TH_1MediaVarCon, max_TH_1Proporcao, max_TH_1Variancia, max_TH_2MediaEmpar, max_TH_2MediaVarCon, max_TH_2MediaVarDI, max_TH_2MediaVarDD, max_TH_2Variancia, max_TH_2Proporcao);